#!/bin/sh
# ------------------------------------------------------------------------
# Licensed Materials -Property of IBM
#
# Restricted Materials of IBM
#
# 5724-M19
#
# (C) COPYRIGHT IBM CORP. 2010. All Rights Reserved.
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# -------------------------------------------------------------------------
#
# This script will patch various PMP PSI packages of the previous
# CCMDB 7.2.0.0 install.  The requirement is that CCMDB 7.2.0.0 is installed
# with the option to "Copy files now. Perform installation configuration later".
#
# Finally, this script will invoke the taskrunner to finish the installation
# of CCMDB 7.2.0.0, which includes the installation of the updated PMP PSI
# packages.
#
# After this completes, then the 7.2.0.1 fixpack can be installed.
#
# If not already set, set the CTG_CCMDB_HOME to be the home directory of the installation
# of CCMDB 7.2.0.0.
#
# Go to the directory where you unzipped this package and then
# execute the upgradeCCMDB script; no parameters are required.
#
#
#

echo Sourcing CCMDB Environment script...
$CTG_CCMDB_HOME/bin/setupPSIEnv.sh

echo Setting Java and Apache Ant path..
export PATH=$CTG_CCMDB_HOME/sdk/jre/bin:$CTG_CCMDB_HOME/maximo/tools/ant/bin:$PATH

echo CCMDB Hotfix Begins...
echo CTG_CCMDB_HOME=$CTG_CCMDB_HOME

echo .
echo -----------------------------------------
echo User elected to perform policy file patch.
echo -----------------------------------------
echo .
echo Calling Ant: Patch Offering Policy File.
echo Logging to PatchCCMDB720Policy.log
echo -----------------------------------------
ant -f PatchCCMDB720Policy.xml -l PatchCCMDB720Policy.log
echo -----------------------------------------

echo .
echo Calling Ant: Patch Common, Config and Change PMP Packages.
echo Logging to Patch720ConfigChange.log
echo -----------------------------------------
ant -f PatchConfigChange720.xml -l PatchConfigChange720.log
echo -----------------------------------------
echo .

echo -----------------------------------------
echo .
echo Calling TaskRunner to finish the CCMDB 7200 install...
echo -----------------------------------------
$CTG_CCMDB_HOME/scripts/taskRunner.sh RESTART STOPONERROR
echo -----------------------------------------
echo .

echo CCMDB Hotfix Ends
